package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.Map;
import java.util.HashMap;

public class MWF4H6RWSIDsForProcessing implements MwfData {

    private Map<String, Object> params = new HashMap<>();
    
    private MWF4H6RWSIDsForProcessing() {}

    public static MWF4H6RWSIDsForProcessing builder() {
        return new MWF4H6RWSIDsForProcessing();
    }

    public MWF4H6RWSIDsForProcessing rsFirstname(String rsFirstname) {
        params.put("RS_FIRSTNAME", rsFirstname);
        return this;
    }

    public MWF4H6RWSIDsForProcessing rsSurname(String rsSurname) {
        params.put("RS_SURNAME", rsSurname);
        return this;
    }

    public MWF4H6RWSIDsForProcessing rsBirthnumber(String rsBirthnumber) {
        params.put("RS_BIRTHNUMBER", rsBirthnumber);
        return this;
    }

    public MWF4H6RWSIDsForProcessing rsIdcardnumber(String rsIdcardnumber) {
        params.put("RS_IDCARDNUMBER", rsIdcardnumber);
        return this;
    }

    public MWF4H6RWSIDsForProcessing rsIdcardvalidto(java.util.Date rsIdcardvalidto) {
        params.put("RS_IDCARDVALIDTO", rsIdcardvalidto);
        return this;
    }

    public MWF4H6RWSIDsForProcessing rsIdcardtype(String rsIdcardtype) {
        params.put("RS_IDCARDTYPE", rsIdcardtype);
        return this;
    }

    public MWF4H6RWSIDsForProcessing rsIdcardpublishingcountry(String rsIdcardpublishingcountry) {
        params.put("RS_IDCARDPUBLISHINGCOUNTRY", rsIdcardpublishingcountry);
        return this;
    }

    public MWF4H6RWSIDsForProcessing rsAddressstreet(String rsAddressstreet) {
        params.put("RS_ADDRESSSTREET", rsAddressstreet);
        return this;
    }

    public MWF4H6RWSIDsForProcessing rsAddresshousenumber(String rsAddresshousenumber) {
        params.put("RS_ADDRESSHOUSENUMBER", rsAddresshousenumber);
        return this;
    }

    public MWF4H6RWSIDsForProcessing rsAddresscity(String rsAddresscity) {
        params.put("RS_ADDRESSCITY", rsAddresscity);
        return this;
    }

    public MWF4H6RWSIDsForProcessing rsAddresszipcode(String rsAddresszipcode) {
        params.put("RS_ADDRESSZIPCODE", rsAddresszipcode);
        return this;
    }

    public MWF4H6RWSIDsForProcessing rsAddresscountry(String rsAddresscountry) {
        params.put("RS_ADDRESSCOUNTRY", rsAddresscountry);
        return this;
    }

    public MWF4H6RWSIDsForProcessing rsNationalidcontrolnumber(Long rsNationalidcontrolnumber) {
        params.put("RS_NATIONALIDCONTROLNUMBER", rsNationalidcontrolnumber);
        return this;
    }

    public MWF4H6RWSIDsForProcessing rsAddresslandregistrynumber(String rsAddresslandregistrynumber) {
        params.put("RS_ADDRESSLANDREGISTRYNUMBER", rsAddresslandregistrynumber);
        return this;
    }

    public MWF4H6RWSIDsForProcessing rsCmid(String rsCmid) {
        params.put("RS_CMID", rsCmid);
        return this;
    } 

    public Map<String, Object> getParams() {
        return params;
    }

}
